use axum::{
    routing::get,
    Router,
};
use askama_axum::Template;

#[derive(Template)]
#[template(path = "hello.html")]
struct HelloTemplate<'a> {
    name: &'a str,
}

#[tokio::main]
async fn main() {
    let app = Router::new()
        .route("/", get(hello_world));

    let listener = tokio::net::TcpListener::bind("0.0.0.0:3000").await.unwrap();
    axum::serve(listener, app).await.unwrap();
}

async fn hello_world() -> HelloTemplate<'static> {
    HelloTemplate { name: "world" }
}
